Bug 1460159 - dedicated journal - SSD, NVMe and HDD
dedicated journal - SSD, NVMe and HDD
Status: NEW
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
low Severity unspecified
: beta
: 3
Assigned To: Ankush Behl
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 05:32 EDT by Lubos Trilety
Modified: 2018-04-30 18:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2017-06-09 05:32:13 EDT
Description of problem:
Via design HDD cannot be used as dedicated journal. However during current create ceph cluster workflow it is possible to choose HDD as the location where dedicated journal should be.
Moreover NVMe is missing there.

Version-Release number of selected component (if applicable):
tendrl-node-agent-3.0-alpha.8.el7scon.noarch
tendrl-commons-3.0-alpha.8.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.6.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. Start to create a ceph cluster
2. Check possible targets for dedicated journal
3. 

Actual results:
There are SSD and HDD as possible location for dedicated journal. NVMe is missing.

(Moreover SSD is provided as possible location even when there is no SSD.)

Expected results:
There should be displayed only SSD and NVMe as possible targets.

(If there is no such disk on node, dedicated should not be provided at all.) This one depends on our implementation, however it seems logical to not provide what cannot be satisfied.

Additional info:
Comment 2 Nishanth Thomas 2017-06-13 01:19:17 EDT
Is there any specific reason why HDD cannot be used as a dedicated journal?
Ceph supports it and it is perfectly valid configuration and the recommendation to use HDD as whole to be used as journal, no partitions allowed as we do for SSDs or NVMEs.

As of now the journal mapping is done by backend and not manually done as mentioned in the design, so these options(to choose no of partitions per device) will be removed in the upcoming build.

NVMe is not supported as of now. Its more of `future` enhancement we are looking at the moment
Comment 3 Lubos Trilety 2017-06-13 08:42:46 EDT
(In reply to Nishanth Thomas from comment #2)
> Is there any specific reason why HDD cannot be used as a dedicated journal?
> Ceph supports it and it is perfectly valid configuration and the
> recommendation to use HDD as whole to be used as journal, no partitions
> allowed as we do for SSDs or NVMEs.
> 
> As of now the journal mapping is done by backend and not manually done as
> mentioned in the design, so these options(to choose no of partitions per
> device) will be removed in the upcoming build.
> 
> NVMe is not supported as of now. Its more of `future` enhancement we are
> looking at the moment

You're right HDD could be used as dedicated journal I read design badly. So only the small issue remains that tendrl provides options which are not available.
Hence lowering priority.

Note You need to log in before you can comment on or make changes to this bug.